UNIXタイム 日付変換ツール オンライン無料
タイムスタンプまたは、日付を入力してください。自動的に判定して結果を表示します。
数字だけならUNIXタイムスタンプとして(13桁以上はミリ秒として)、それ以外は日付として読み取ります。空にすると現在時刻を使います。
※オプション 加算・減算(マイナスも入れられます)
表示するタイムゾーン
このツールについて
また、日付はさまざまなフォーマットに対応しており柔軟に読み取ります。
日本時間とUTCを切り替えられます。ATOM・RFC822・RFC1123など主要な形式でも表示します。
ブラウザの中だけで動いています。入力した内容がサーバーへ送られることはありません。
表示される日付形式
日本語表記、スラッシュ区切り、ハイフン区切り、区切りなしの数字のほか、ATOM/RFC3339/W3C、COOKIE/RFC850、ISO8601、RFC822/RFC1036、RFC1123/RFC2822/RSSといった主要な規格の表記でも同時に表示します。
よくある質問
- 日本時間とUTCの両方を同時に見られますか?
- 「表示するタイムゾーン」で切り替える形式です。一度に両方を表で見ることはできないので、必要な方を選んでください。
- 加算・減算はどんなときに使いますか?
- 「〇日後」「〇時間前」のような日時を求めたいときに使います。年・月・日・時・分・秒の欄にプラスまたはマイナスの数値を入れると、その分だけ増減した日時が計算されます。
- ミリ秒のタイムスタンプ(13桁)も変換できますか?
- できます。13桁以上の数字はミリ秒として読み取ります。JavaScriptの Date.now() やログに出てくる値をそのまま貼り付けられます。
- 日付やタイムスタンプをコピーするには?
- 表の各行の右にある「コピー」を押すと、その日付やタイムスタンプだけをコピーできます。
ツールは随時追加・改善しています。
ご要望の多い機能や、実用性が高いと判断した機能は今後も追加していきます。
ちょっとした要望でもお気軽にお送りください。
送信しました。ありがとうございます。